searchNodes=[{"ref":"GrpcBuilder.html","title":"GrpcBuilder","type":"module","doc":"public interface for GRPC builder."},{"ref":"GrpcBuilder.Client.Builder.html","title":"GrpcBuilder.Client.Builder","type":"module","doc":"Macro for building RPC easily"},{"ref":"GrpcBuilder.Client.Builder.html#rpc/3","title":"GrpcBuilder.Client.Builder.rpc/3","type":"macro","doc":""},{"ref":"GrpcBuilder.Client.Conn.html","title":"GrpcBuilder.Client.Conn","type":"module","doc":"Wrapper for gRPC connection"},{"ref":"GrpcBuilder.Client.Conn.html#t:t/0","title":"GrpcBuilder.Client.Conn.t/0","type":"type","doc":""},{"ref":"GrpcBuilder.Client.Gen.html","title":"GrpcBuilder.Client.Gen","type":"module","doc":"public interface for GrpcBuilder client"},{"ref":"GrpcBuilder.Client.RpcConn.html","title":"GrpcBuilder.Client.RpcConn","type":"module","doc":"Persistent gRPC connection to GRPC server."},{"ref":"GrpcBuilder.Client.RpcConn.html#close/1","title":"GrpcBuilder.Client.RpcConn.close/1","type":"function","doc":""},{"ref":"GrpcBuilder.Client.RpcConn.html#get_conn/1","title":"GrpcBuilder.Client.RpcConn.get_conn/1","type":"function","doc":""},{"ref":"GrpcBuilder.Client.RpcConn.html#start_link/4","title":"GrpcBuilder.Client.RpcConn.start_link/4","type":"function","doc":"The parameters for start_link/3 are: endpoint - the address of gRPC server in host:port format opts - the options for gRPC http2 client gun callback - the 0 arity function to be called when gRPC connection is established"},{"ref":"GrpcBuilder.Client.StubGen.html","title":"GrpcBuilder.Client.StubGen","type":"module","doc":"Aggregate all RPCs"},{"ref":"GrpcBuilder.Client.SupervisorGen.html","title":"GrpcBuilder.Client.SupervisorGen","type":"module","doc":"Supervise the connections."},{"ref":"readme.html","title":"GrpcBuilder","type":"extras","doc":"GrpcBuilder Generate GRPC client and server code."},{"ref":"readme.html#installation","title":"GrpcBuilder - Installation","type":"extras","doc":"def deps do [ {:grpc_builder, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#usage","title":"GrpcBuilder - Usage","type":"extras","doc":"In your GRPC client SDK application code, add GrpcBuilder.Client.ConnSupervisor into the children: defmodule YourSdk.Application do @moduledoc false use Application alias GrpcBuilder.Client.ConnSupervisor def start(_type, _args) do children = [ {ConnSupervisor, strategy: :one_for_one, name: ConnSupervisor} ] opts = [strategy: :one_for_one, name: YourSdk.Supervisor] Supervisor.start_link(children, opts) end end Add your RPC definitions like this: defmodule YourSdk.Rpc do @moduledoc &quot;&quot;&quot; RPC client definition &quot;&quot;&quot; import GrpcBuilder.Client.Builder, only: [rpc: 2, rpc: 3] # here the `res` is the response GRPC server returned to you. You can write code to process the response here. rpc :get_job, prefix: YourProtoAbi, do: res.job end You also need to define a Stub: defmodule GrpcBuilder.Client.Stub do use GrpcBuilder.Client.StubGen, services: %{ get_job: YourProtoAbi.GrpcService.Stub } end That&#39;s it! Then you can use your SDK like this: GrpcBuilder.Client.connect(&quot;tcp://127.0.0.1:12345&quot;, name: &quot;your_conn_name&quot;, default: true) YourSdk.Rpc.get_job(request) # this is to use the default connection YourSdk.Rpc.get_job(request, &quot;your_conn_name&quot;) # this is the same as previous call"}]